/*** 
*acxVariant.h - ActiveX Variant definitions definitions.
*
*  Copyright (C) 1992-1996, Microsoft Corporation.  All Rights Reserved.
*
*Purpose:
*  This file defines the ActiveX Variant interfaces and APIs.
*
*Implementation Notes:
*  This file supplies an alternative Variant API
*
*****************************************************************************/

#define VariantInit			acx_VariantInit
#define VariantCopy			acx_VariantCopy
#define VariantChangeType	acx_VariantChangeType



STDAPI_(void)
acx_VariantInit(VARIANTARG FAR* pvarg);

STDAPI
acx_VariantCopy(
    VARIANTARG FAR* pvargDest,
    VARIANTARG FAR* pvargSrc);

STDAPI
acx_VariantChangeType(
    VARIANTARG FAR* pvargDest,
    VARIANTARG FAR* pvarSrc,
    unsigned short wFlags,
    VARTYPE vt);
