//
//  BASESTRM.CPP
//
//  Copyright (C) Microsoft Corporation, 1996
//
//  Implementation of the base Netscape stream notification object.
//

#include "headers.h"

//
//  CNetscapeStreamNotify::~CNetscapeStreamNotify
//

CNetscapeStreamNotify::~CNetscapeStreamNotify()
{
    if (m_pszURL != NULL)
        CoTaskMemFree(m_pszURL);
}

//
//  CNetscapeStreamNotify::OnNewStream
//

NPError
CNetscapeStreamNotify::OnNewStream(NPMIMEType type, NPStream *stream, NPBool
    seekable, uint16 *stype)
{
#pragma unused (type, stream, seekable, stype)
    return NPERR_NO_ERROR;
}

//
//  CNetscapeStreamNotify::OnWriteReady
//

int32
CNetscapeStreamNotify::OnWriteReady(NPStream *stream)
{
#pragma unused (stream)
    return 0x0FFFFFFF;
}

//
//  CNetscapeStreamNotify::OnWrite
//

int32
CNetscapeStreamNotify::OnWrite(NPStream *stream, int32 offset, int32 len, void
    *buffer)
{
#pragma unused (stream, offset, buffer)
    return len;
}

//
//  CNetscapeStreamNotify::OnStreamAsFile
//

void
CNetscapeStreamNotify::OnStreamAsFile(NPStream *stream, const char* fname)
{
#pragma unused (stream, fname)
    //  NULL
}
