#ifndef __CLabelError_h__
#define __CLabelError_h__

#include "CError.h"

/////////////////////////////////////////////////////////////////////////////
//
// constants
//

#define CONTROL_GWORLD_ALLOCATION_ERROR		(BaseErrorCodeLabel + 0)
#define GWORLD_ALLOCATION_ERROR				(BaseErrorCodeLabel + 1)
#define ROTATION_FAILED_ERROR				(BaseErrorCodeLabel + 2)
#define CONTROL_BAD_ALIGNMENT_PARAM_ERROR	(BaseErrorCodeLabel + 3)
/////////////////////////////////////////////////////////////////////////////
//
// CLabelError class definition
//

class CLabelError : public CError
{
public:
	CLabelError(ErrorCode error);
	CLabelError(ErrorCode error, CErrorControl * control);
	virtual void HandleError(void);
};

#endif // __CLabelError_h__
