// =================================================================================
//
//	CPictControlBSC.h				1996 Microsoft Corporation All rights reserved.
//
// =================================================================================

#ifndef _H_CPictControlBSC
#define _H_CPictControlBSC
#pragma once

#include "CBaseBindStatusCallback.h"

class CPictControlBSC :
		public CBaseBindStatusCallback
{
public:
	//	*** Constructor & Destructor ***
	CPictControlBSC(CPictControl* inOwningControl, Uint32 inOwningControlRefCon);
	virtual ~CPictControlBSC();

	//  *** IBindStatusCallback methods ***
	STDMETHOD (OnStopBinding)(ErrorCode Result, const Char8* Error);
	STDMETHOD (OnDataAvailable)(Uint32 BSCF, Uint32 Size, FORMATETC* FormatEtc, STGMEDIUM* StgMedium);

	//	*** Public methods for friends ***
	ErrorCode OpenURL(IContainerSite* inContainerSite, Char8* inURL, Boolean8 BindFile);

private:
	//  *** private members ***
	CPictControl*	mOwningControl;
	Uint32			mOwningControlRefCon;

	Handle			mData;
	LPBINDHOST 		mBindSiteP;
};
#endif