//
//  urlapi.h
//
//  Copyright (C) Microsoft Corporation, 1996
//
//  Header file for the URL API functions
//

#include <Threads.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef pascal OSErr (client_NewThread)(ThreadStyle threadStyle, ThreadEntryProcPtr threadEntry, void *threadParam, Size stackSize, ThreadOptions options, void **threadResult, ThreadID *threadMade);

OSErr OpenUrlMoniker(client_NewThread* urlNewThread);

void CloseUrlMoniker(void);

// don't use this function when linking to static lib
STDAPI CreateURLMoniker(LPMONIKER pMkCtx, LPOLESTR szUrl, IURLMoniker ** ppMk);

#ifdef __cplusplus
}  /* end extern "C" */
#endif

