//
//  all.h
//
//  Copyright (C) Microsoft Corporation, 1996
//

#include "config.h"

#include <Files.h>
#include <TextUtils.h>
#include <string.h>
#include "debug.h"

#ifdef __cplusplus
extern "C" {
#endif

char *  OleStrdup(char * psz);
void *  CoTaskMemAlloc(unsigned long cb);
void    CoTaskMemFree(void * pv);

#ifdef __cplusplus
}
#endif

#define CONST               const
#define PUBLIC
#define PRIVATE             static

#define MAX_URL_STRING      1024

#define GTR_MALLOC          CoTaskMemAlloc
#define GTR_FREE            CoTaskMemFree
#define GTR_strdup(x)       ((char *) OleStrdup((char *)(x)))
#define GTR_strncpy(x,y,z)  strncpy(x, y, z)

#include "htparse.h"
