#ifndef __HEADERS_H__
#define	__HEADERS_H__


#include "config.h"

#define FAR

#include <ole2.h>
#include <dispatch.h>
#include <wintypes.h>
#include <olectl.h>
#include <ocx96.h>
#include <platform.h>
#include <activex.h>
#include <activexguid.h>
#include <urlmon.h>
#include <datapath.h>
#include <servprov.h>

#define VOID	void
#define CHAR	char
#define ASSERT(x)
#define XP_MAC

#include "acxVariant.h"

#if defined(PLUGIN_ADAPTER)
#include "npapi.h"
#include "basestrm.h"
#include "memstrm.h"
#include "initstrm.h"
#endif

#include "debug.h"
#include "cpropbag.hpp"
#include "download.h"
#include "CRefCount.h"
#include "CBaseCOM.h"
#include "CContainer.h"
#include "CBaseSite.h"
#include "CBindhost.h"

#if defined(PLUGIN_ADAPTER)
#include "xurlmon.h"
#include "xbinding.h"
#include "pullstream.h"
#endif

#define MAX_PATH                        260
#define MAX_URL_STRING                  1024

#define GTR_MALLOC          CoTaskMemAlloc
#define GTR_FREE            CoTaskMemFree
#define GTR_strdup(x)       ((char *) OleStrdup((char *)(x)))
#define GTR_strncpy(x,y,z)  strncpy(x, y, z)

#define SAFERELEASE(p) if ((p) != NULL) { (p)->Release(); (p) = NULL; };

#define SAFEDELETE(p) if ((p) != NULL) { delete (p); (p) = NULL; };


#define SafeRelease(interface)          \
    if (interface != NULL) {            \
        interface->Release();           \
    }

#define ReleaseAndNull(interface)       \
    interface->Release();               \
    interface = NULL;                   \

#define SafeReleaseAndNull(interface)   \
    if (interface != NULL) {            \
        ReleaseAndNull(interface)       \
    }

#include "nocrt.h"

extern "C" {
char *          x_ExpandRelativeAnchor(const char *rel, const char *base);
}

#define DLLAddRef()
#define DLLRelease()
#define far

#endif