/*****************************************************************************\
*                                                                             *
* servprov.h -  IServiceProvider definition                                   *
*                                                                             *
*               OLE Version 2.0                                               *
*                                                                             *
*               Copyright (c) 1992-1996, Microsoft Corp. All rights reserved. *
*                                                                             *
\*****************************************************************************/

#ifndef __servprov_h__
#define __servprov_h__


/////////////////////////////////////////////////////////////////////////////
// Typedefs for interfaces

#ifdef __cplusplus
interface IServiceProvider;
#else
typedef interface IServiceProvider IServiceProvider;
#endif

typedef IServiceProvider * LPSERVICEPROVIDER;

EXTERN_C const IID IID_IServiceProvider;

/////////////////////////////////////////////////////////////////////////////
// IServiceProvider interface

#undef  INTERFACE
#define INTERFACE IServiceProvider

DECLARE_INTERFACE_(IServiceProvider, IUnknown)
{
    BEGIN_INTERFACE
    // *** IUnknown methods ***
    STDMETHOD(QueryInterface)(THIS_ REFIID riid, LPVOID *ppvObj) PURE;
    STDMETHOD_(ULONG,AddRef)(THIS) PURE;
    STDMETHOD_(ULONG,Release)(THIS) PURE;

    // *** IServiceProvider methods ***
    STDMETHOD(QueryService)(THIS_ REFGUID rsid, REFIID riid, LPVOID *ppvObj) PURE;
};

#endif
