// =================================================================================
//
//	CEventSend.h				1996 Microsoft Corporation All rights reserved.
//
// =================================================================================

#ifndef _H_CEventSend
#define _H_CEventSend
#pragma once

#include "CBaseControl.h"

class CEventSend : public CBaseControl
{

public:
	//	*** CEventSend methods ***
    CEventSend(void);
    virtual ~CEventSend(void);
    
    STDMETHOD (FireEvent)(REFIID inRefID, Int32 inEventID, PlatformEvent* inEvent);
    STDMETHOD (FireOneEvent)(REFIID inRefID, Int32 inEventID, IUnknown* inEventTarget, PlatformEvent* inEvent);
    
    // *** IControl methods ***
    STDMETHOD (Draw) (THIS_ DrawContext* inContext);
	STDMETHOD (GetID)(THIS_ Int32 inBufferSize, Char8* outID);
	STDMETHOD (DoMouse)(THIS_ MouseEventType inMouseET, PlatformEvent* inEvent);
	STDMETHOD (DoKey)(THIS_ KeyEventType inKeyET, Char8 inChar, PlatformEvent* inEvent);
    STDMETHOD (SetFocus)(THIS_ FocusCommand inCommand, FocusSet inFocus);
    
    //  *** IPersistPropertyBag methods ***
	STDMETHOD(Load)(IPropertyBag* PropBag, IErrorLog* ErrorLog);

private:
	Char8*		mIdP;
	Str255		mMessage;
	Int32		mLastMouseUpTime;
	FocusSet	mOwnedFoci;
};

#endif
