// =================================================================================
//
//	CTextEditBSC.h				1996 Microsoft Corporation All rights reserved.
//
// =================================================================================

#ifndef _H_CPictControlBSC
#define _H_CPictControlBSC
#pragma once

#include "CBaseBindStatusCallback.h"

class CTextEditBSC :
		public CBaseBindStatusCallback
{
public:
	//	*** Constructor & Destructor ***
	CTextEditBSC(void);

	//  *** IBindStatusCallback methods ***
	STDMETHOD (OnStopBinding)(ErrorCode Result, const Char8* Error);
	STDMETHOD (OnDataAvailable)(Uint32 BSCF, Uint32 Size, FORMATETC* FormatEtc, STGMEDIUM* StgMedium);
	STDMETHOD (GetBindInfo)(Uint32* BINDF, BINDINFO *BindInfo);

	//	*** Public methods for friends ***
	ErrorCode OpenPostStream(IContainerSite* inContainerSiteP, LPOLESTR URLString, Handle PostData);

private:
	//  *** private members ***
	Handle			mData;
	Boolean			mBusy;
};
#endif